Index: TXM/trunk/bundles/org.txm.analec.rcp/src/org/txm/annotation/urs/URSCorpora.java
===================================================================
--- TXM/trunk/bundles/org.txm.analec.rcp/src/org/txm/annotation/urs/URSCorpora.java	(revision 3905)
+++ TXM/trunk/bundles/org.txm.analec.rcp/src/org/txm/annotation/urs/URSCorpora.java	(revision 3906)
@@ -78,7 +78,7 @@
 			// TODO: does not work :(
 			if (fichierVue.exists()) {
 				if (!FichiersJava.ouvrirVue(vue, fichierVue)) {
-					Log.warning(Messages.WarningFailToOpenCorpusVueFileP0 + fichierVue);
+					Log.warning(NLS.bind(Messages.WarningFailToOpenCorpusVueFileP0, fichierVue));
 					// return null;
 				}
 				String[] types = vue.getTypesUnitesAVoir();
@@ -89,7 +89,7 @@
 			else {
 				vue.retablirVueParDefaut(); //
 				if (!FichiersJava.enregistrerVue(vue, fichierVue)) {
-					Log.warning(Messages.WarningFailToCreateCorpusVueFileP0 + fichierVue);
+					Log.warning(NLS.bind(Messages.WarningFailToCreateCorpusVueFileP0, fichierVue));
 					// return null;
 				}
 			}
Index: TXM/trunk/bundles/org.txm.analec.rcp/src/org/txm/annotation/urs/URSAnnotationReIndexer.java
===================================================================
--- TXM/trunk/bundles/org.txm.analec.rcp/src/org/txm/annotation/urs/URSAnnotationReIndexer.java	(revision 3905)
+++ TXM/trunk/bundles/org.txm.analec.rcp/src/org/txm/annotation/urs/URSAnnotationReIndexer.java	(revision 3906)
@@ -17,6 +17,7 @@
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.serverException.CqiServerError;
 import org.txm.utils.logger.Log;
+import org.txm.utils.messages.Utf8NLS;
 
 import visuAnalec.donnees.Corpus;
 import visuAnalec.elements.Unite;
@@ -130,7 +131,7 @@
 			}
 			
 			if (!(startFound && endFound)) {
-				String s = Messages.ErrorCannotFindWordsPositionsforUnitOfTypeP0AndP1P2 + unite.getType() + " and unit carret positions=[" + start + ", " + end + "]. Aborting"; //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+				String s = Utf8NLS.bind(Messages.ErrorCannotFindWordsPositionsforUnitOfTypeP0AndP1P2, unite.getType(), start, end ); //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 				Log.finer(s);
 				
 				Log.finer("5 last found units are: "); //$NON-NLS-1$
Index: TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/ExportTable.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/ExportTable.java	(revision 3905)
+++ TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/ExportTable.java	(revision 3906)
@@ -116,7 +116,7 @@
 				try {
 					monitor.beginTask(Messages.ExportingAnnotationsAsStandOff, 100);
 					
-					monitor.setTaskName(Messages.WritingAnnotationsInTheTableFileP0+resultFile);
+					monitor.setTaskName(NLS.bind(Messages.WritingAnnotationsInTheTableFileP0, resultFile));
 					/*if (MessageDialog.openConfirm(Display.getCurrent().getActiveShell(), "Before saving annotations...", "All editors using this corpus are going to be closed. Continue ?")) {
 						return false;
 					}*/
Index: TXM/trunk/bundles/org.txm.treesearch.core/src/org/txm/treesearch/function/TreeSearch.java
===================================================================
--- TXM/trunk/bundles/org.txm.treesearch.core/src/org/txm/treesearch/function/TreeSearch.java	(revision 3905)
+++ TXM/trunk/bundles/org.txm.treesearch.core/src/org/txm/treesearch/function/TreeSearch.java	(revision 3906)
@@ -124,9 +124,9 @@
 	public String getComputingDoneMessage() {
 		
 		int n = this.getNMatchingSentences();
-		
+			
 		if (n > 0) {
-			return ""+n+Messages.P0matchingSentenceP1+(n > 1?"s":""); //$NON-NLS-1$ //$NON-NLS-3$ //$NON-NLS-4$
+			return NLS.bind(Messages.P0matchingSentenceP1, n, n > 1?"s":""); //$NON-NLS-1$ //$NON-NLS-2$
 		} else {
 			return Messages.noMatchingSentence;
 		}
Index: TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartCreator.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartCreator.java	(revision 3905)
+++ TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartCreator.java	(revision 3906)
@@ -4,6 +4,7 @@
 import java.io.File;
 import java.util.ArrayList;
 
+import org.eclipse.osgi.util.NLS;
 import org.txm.chartsengine.core.ChartCreator;
 import org.txm.chartsengine.core.results.ChartResult;
 import org.txm.utils.logger.Log;
@@ -55,7 +56,7 @@
 			createChart(result, (File) chart);
 		}
 		else {
-			Log.warning(Messages.ErrorRChartWasNullInP0 + result);
+			Log.warning(NLS.bind(Messages.ErrorRChartWasNullInP0, result));
 		}
 	}
 	
Index: TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartsEngine.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartsEngine.java	(revision 3905)
+++ TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartsEngine.java	(revision 3906)
@@ -91,7 +91,7 @@
 		}
 		
 		if (!(chart instanceof File)) {
-			Log.warning(Messages.RChartEngineOnlyManageFileChartsP0 + chart);
+			Log.warning(NLS.bind(Messages.RChartEngineOnlyManageFileChartsP0, chart));
 			return null;
 		}
 		
Index: TXM/trunk/bundles/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java
===================================================================
--- TXM/trunk/bundles/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java	(revision 3905)
+++ TXM/trunk/bundles/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java	(revision 3906)
@@ -339,7 +339,7 @@
 				this.nLines = 0;
 				this.pTopIndex = 0;
 				this.lines = new ArrayList<>();
-				Log.warning(ConcordanceCoreMessages.CQPErrorP0+e.getMessage());
+				Log.warning(NLS.bind(ConcordanceCoreMessages.CQPErrorP0, e.getMessage()));
 				Log.printStackTrace(e);
 				return false;
 			}
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/NetCqiClient.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/NetCqiClient.java	(revision 3905)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/NetCqiClient.java	(revision 3906)
@@ -40,6 +40,7 @@
 import java.util.Arrays;
 import java.util.HashMap;
 
+import org.eclipse.osgi.util.NLS;
 import org.txm.core.messages.TXMCoreMessages;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.clientExceptions.ServerNotFoundException;
@@ -834,7 +835,7 @@
 			String ret = readString();
 			return getLastCQPError()+"\t"+ret; //$NON-NLS-1$
 		} catch (CqiServerError e) {
-			Log.severe(CQPSearchEngineCoreMessages.lastCQiErrorP0 + e);
+			Log.severe(NLS.bind(CQPSearchEngineCoreMessages.lastCQiErrorP0, e));
 			return "error"; //$NON-NLS-1$
 		}
 	}
@@ -855,7 +856,7 @@
 			String ret = readString();
 			return ret;
 		} catch (Exception e) {
-			Log.severe(CQPSearchEngineCoreMessages.lastCQPErrorP0 + e);
+			Log.severe(NLS.bind(CQPSearchEngineCoreMessages.lastCQPErrorP0, e));
 			return "error"; //$NON-NLS-1$
 		}
 	}
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Subcorpus.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Subcorpus.java	(revision 3905)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Subcorpus.java	(revision 3906)
@@ -224,8 +224,7 @@
 					subcorp._load(subcorpusElem);
 				}
 				catch (Exception ex) {
-					Log.warning(this.pID + TXMCoreMessages.failedToRestoreTheP0SubcorpusOfP1P2 + subcorpusElem.getAttribute("name")
-					+ " : " + ex); //$NON-NLS-1$
+					Log.warning(TXMCoreMessages.bind(TXMCoreMessages.failedToRestoreTheP0SubcorpusOfP1P2, this.pID, subcorpusElem.getAttribute("name"), ex)); //$NON-NLS-1$
 				}
 			}
 			
Index: TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationWriter.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationWriter.java	(revision 3905)
+++ TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationWriter.java	(revision 3906)
@@ -251,7 +251,7 @@
 						}
 					}
 					else {
-						Log.warning(Messages.WarningUnknownTypeP0 + a.getType());
+						Log.warning(NLS.bind(Messages.WarningUnknownTypeP0, a.getType()));
 					}
 				}
 				
@@ -298,15 +298,15 @@
 					return true;
 				}
 				else {
-					Log.severe(Messages.ErrorCouldNotReplaceXMLTXMFileP0WithP1 + xmlFile + " with " + tmpfile); //$NON-NLS-2$
+					Log.severe(NLS.bind(Messages.ErrorCouldNotReplaceXMLTXMFileP0WithP1, xmlFile, tmpfile));
 				}
 			}
 			else {
-				Log.severe(Messages.ErrorResultFileP0IsMalformed + tmpfile + " is malformed."); //$NON-NLS-2$
+				Log.severe(NLS.bind(Messages.ErrorResultFileP0IsMalformed, tmpfile));
 			}
 		}
 		else {
-			Log.severe(Messages.ErrorWhileProcessingP0InTempDir + xmlFile + " in temp dir"); //$NON-NLS-2$
+			Log.severe(NLS.bind(Messages.ErrorWhileProcessingP0InTempDir, xmlFile));
 		}
 		return false;
 	}
Index: TXM/trunk/bundles/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xtz/XTZDefaultPagerStep.groovy
===================================================================
--- TXM/trunk/bundles/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xtz/XTZDefaultPagerStep.groovy	(revision 3905)
+++ TXM/trunk/bundles/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xtz/XTZDefaultPagerStep.groovy	(revision 3906)
@@ -447,6 +447,10 @@
 								pagedWriter.writeStartElement("q", ["class":rend, "type":type!=null?type:localname])
 								break;
 							case "p":
+							//case "lg":
+								pagedWriter.write("\n")
+								pagedWriter.writeStartElement("p", ["class":rend, "type":type])
+								break;
 							case "ab":
 							case "l":
 							//case "lg":
@@ -475,7 +479,6 @@
 							case "body":
 							case "front":
 							case "back":
-							case "div":
 							case "div1":
 							case "div2":
 							case "div3":
@@ -484,6 +487,10 @@
 								pagedWriter.writeStartElement("div", ["class":rend, "type":type!=null?type:localname])
 								pagedWriter.write("\n");
 								break;
+							case "div":
+								pagedWriter.writeStartElement("div", ["class":rend, "type":type])
+								pagedWriter.write("\n");
+								break;
 							case "head":
 								pagedWriter.write("\n")
 								pagedWriter.writeStartElement("h2", ["class":rend, "type":type!=null?type:localname])
@@ -622,6 +629,7 @@
 								pagedWriter.writeEndElement() // </p>
 								pagedWriter.write("\n")
 								break;
+							
 							case "cb":
 								break;
 							case "lb":
Index: TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/BackToText.java
===================================================================
--- TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/BackToText.java	(revision 3905)
+++ TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/BackToText.java	(revision 3906)
@@ -63,6 +63,7 @@
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.StructuralUnit;
 import org.txm.utils.logger.Log;
+import org.txm.utils.messages.Utf8NLS;
 
 /**
  * Open a text edition from: a concordance Line
@@ -110,12 +111,12 @@
 				IEditorPart ieditor = wb.getActivePage().getActiveEditor();
 				
 				if (!backToText(ieditor, corpusid, Arrays.asList(editionid.split("||")), textid, wordid)) { //$NON-NLS-1$
-					System.out.println(EditionUIMessages.CouldNotOpenEditionForWordIdP0TextIdP1AndEditionP2 + wordid + " textid=" + textid + " edition=" + editionid); //$NON-NLS-2$ //$NON-NLS-3$
+					Log.severe(Utf8NLS.bind(EditionUIMessages.CouldNotOpenEditionForWordIdP0TextIdP1AndEditionP2, wordid, textid, editionid));
 				}
 			}
 			catch (Exception e) {
-				// TODO Auto-generated catch block
-				e.printStackTrace();
+				Log.severe(e);
+				Log.printStackTrace(e);
 			}
 			return null;
 		}
@@ -147,17 +148,17 @@
 		MainCorpus corpus = CorpusManager.getCorpusManager().getCorpus(corpusid);
 		
 		if (corpus == null) {
-			Log.warning(EditionUIMessages.ErrorNoCorpusWithIDP0 + corpusid);
+			Log.warning(NLS.bind(EditionUIMessages.ErrorNoCorpusWithIDP0, corpusid));
 		}
 		
 		if (editions != null && !corpus.getProject().getBuiltEditionNames().containsAll(editions)) {
-			Log.warning(EditionUIMessages.WarningCorpusHasNoEditionNamedP0 + editions);
+			Log.warning(NLS.bind(EditionUIMessages.WarningCorpusHasNoEditionNamedP0, editions));
 			editions = Arrays.asList("default"); //$NON-NLS-1$
 		}
 		
 		if (!corpus.getProject().getBuiltEditionNames().containsAll(editions)) {
 			Log.warning(EditionUIMessages.ErrorCorpusHasNoDefaultEdition);
-			Log.warning(EditionUIMessages.AvailablesP0 + corpus.getProject().getEditionNames());
+			Log.warning(NLS.bind(EditionUIMessages.AvailablesP0, corpus.getProject().getEditionNames()));
 			return false;
 		}
 		
@@ -175,7 +176,7 @@
 		if (textid != null) {
 			text = corpus.getProject().getText(textid);
 			if (text == null) {
-				Log.warning(EditionUIMessages.ErrorCorpusHasNoTextWithIDP0 + textid);
+				Log.warning(NLS.bind(EditionUIMessages.ErrorCorpusHasNoTextWithIDP0, textid));
 				return false;
 			}
 		}
@@ -249,7 +250,7 @@
 				textid = org.txm.searchengine.cqp.corpus.query.Match.getValueForProperty(textP, match.getStart());
 			}
 			catch (Exception e2) {
-				System.out.println("The corpus has no text_id property" + e2); //$NON-NLS-1$
+				Log.severe(NLS.bind("The corpus has no text_id property {0}.", e2));
 				org.txm.utils.logger.Log.printStackTrace(e2);
 				return false;
 			}
Index: TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/SearchEditionToolbar.java
===================================================================
--- TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/SearchEditionToolbar.java	(revision 3905)
+++ TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/SearchEditionToolbar.java	(revision 3906)
@@ -274,7 +274,8 @@
 				searchNavigation.refresh();
 				searchText.setFocus();
 				showCurrentSearchMatch();
-				Log.info(EditionUIMessages.P0Hits + searchResult.getNMatch() + " hits."); //$NON-NLS-1$
+				
+				Log.info(NLS.bind(EditionUIMessages.P0Hits, searchResult.getNMatch())); //$NON-NLS-1$
 			}
 			else {
 				searchIndex = 0;
Index: TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/functions/Eigenvalues.java
===================================================================
--- TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/functions/Eigenvalues.java	(revision 3905)
+++ TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/functions/Eigenvalues.java	(revision 3906)
@@ -5,6 +5,7 @@
 
 import java.io.File;
 
+import org.eclipse.osgi.util.NLS;
 import org.txm.ca.core.messages.CACoreMessages;
 import org.txm.chartsengine.core.results.ChartResult;
 import org.txm.core.results.TXMParameters;
@@ -61,7 +62,7 @@
 	
 	@Override
 	public String getSimpleName() {
-		return CACoreMessages.eigenvaluesP0 + this.getCA().getUnitProperty();
+		return NLS.bind(CACoreMessages.eigenvaluesP0, this.getCA().getUnitProperty());
 	}
 	
 	@Override
Index: TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/chartcreators/JFCCAChartCreator.java
===================================================================
--- TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/chartcreators/JFCCAChartCreator.java	(revision 3905)
+++ TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/chartcreators/JFCCAChartCreator.java	(revision 3906)
@@ -55,7 +55,7 @@
 			chart.getXYPlot().setRenderer(new CAItemSelectionRenderer(ca, chart));
 		}
 		catch (Exception e) {
-			Log.severe(CACoreMessages.CantCreateCAFactorialMapScatterPlotP0 + e);
+			Log.severe(NLS.bind(CACoreMessages.CantCreateCAFactorialMapScatterPlotP0, e));
 			return null;
 		}
 		
Index: TXM/trunk/bundles/org.txm.translate.rcp/report.txt
===================================================================
--- TXM/trunk/bundles/org.txm.translate.rcp/report.txt	(revision 3905)
+++ TXM/trunk/bundles/org.txm.translate.rcp/report.txt	(revision 3906)
@@ -1,382 +0,0 @@
-	Missing brakets: lang=messages->error_canNotComputeAHCWithP0=
-	Missing brakets: lang=messages_fr->error_canNotComputeAHCWithP0=
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.analec.rcp/src/org/txm/annotation/urs/URSAnnotationReIndexer.java
-	133	String s = Messages.ErrorCannotFindWordsPositionsforUnitOfTypeP0AndP1P2 + unite.getType() + " and unit carret positions=[" + start + ", " + end + "]. Aborting"; //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.analec.rcp/src/org/txm/annotation/urs/URSCorpora.java
-	81	Log.warning(Messages.WarningFailToOpenCorpusVueFileP0 + fichierVue);
-	92	Log.warning(Messages.WarningFailToCreateCorpusVueFileP0 + fichierVue);
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationWriter.java
-	254	Log.warning(Messages.WarningUnknownTypeP0 + a.getType());
-	301	Log.severe(Messages.ErrorCouldNotReplaceXMLTXMFileP0WithP1 + xmlFile + " with " + tmpfile); //$NON-NLS-2$
-	305	Log.severe(Messages.ErrorResultFileP0IsMalformed + tmpfile + " is malformed."); //$NON-NLS-2$
-	309	Log.severe(Messages.ErrorWhileProcessingP0InTempDir + xmlFile + " in temp dir"); //$NON-NLS-2$
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/ExportTable.java
-	119	monitor.setTaskName(Messages.WritingAnnotationsInTheTableFileP0+resultFile);
-	Missing PN: lang=messages->SelectionIsNotACorpusAborting=Selection is not a Corpus: {0}. Aborting.
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/chartcreators/JFCCAChartCreator.java
-	58	Log.severe(CACoreMessages.CantCreateCAFactorialMapScatterPlotP0 + e);
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/renderers/CAEigenvaluesItemSelectionRenderer.java
-	74	+ "<p><span style=\"color: " + hex + ";\">" + CACoreMessages.percent + ChartsEngineCoreMessages.EMPTY
-	76	+ "<p><span style=\"color: " + hex + ";\">" + CACoreMessages.charts_singularValues_tooltipSum + CACoreMessages.percent
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/renderers/CAItemSelectionRenderer.java
-	106	+ CACoreMessages.frequency + ChartsEngineCoreMessages.EMPTY + " <b>" + caDataset.getFrequency(series, item).replace("-", "") + "</b></p>"
-	107	+ "<p>" +  CACoreMessages.coordinates + ChartsEngineCoreMessages.EMPTY + " <b>[" + format.format(caDataset.getX(series, item)) + ":" + format.format(caDataset.getY(series, item)) + "]</b></p></body><html>";
-	134	+ CACoreMessages.t + ChartsEngineCoreMessages.EMPTY + " <b>" + caDataset.getFrequency(series, item).replace("-", "") + "</b></p>"
-	135	+ "<p>" + CACoreMessages.coordinates + ChartsEngineCoreMessages.EMPTY + " <b>[" + format.format(caDataset.getX(series, item)) + ":" + format.format(caDataset.getY(series, item)) + "]</b></p></body><html>";
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/chartsengine/r/REigenvaluesChartCreator.java
-	69	+ CACoreMessages.eigenvalues + "\", ylab=\"" + //$NON-NLS-1$
-	70	CACoreMessages.eigenvalue + "\", xlab=\"" + //$NON-NLS-1$
-	71	CACoreMessages.axis + "\", names.arg=" + xLabels + ");\n"; //$NON-NLS-1$ //$NON-NLS-2$
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/functions/CA.java
-	382	colnames.add(CACoreMessages.common_cont + (c + 1)); // ContribN
-	383	colnames.add(CACoreMessages.common_cos2 + (c + 1)); // Cos²N
-	680	colnames.add(CACoreMessages.common_cont + (c + 1)); // ContribN
-	681	colnames.add(CACoreMessages.common_cos2 + (c + 1)); // Cos²N
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/functions/Eigenvalues.java
-	64	return CACoreMessages.eigenvaluesP0 + this.getCA().getUnitProperty();
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryBarRenderer.java
-	154	+ ChartsEngineCoreMessages.EMPTY + " <b>" + valuesNumberFormat.format(value) + "</b></p></body><html>"; //$NON-NLS-1$ //$NON-NLS-2$
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryLineAndShapeRenderer.java
-	90	+ ChartsEngineCoreMessages.EMPTY + " </span><b>" + catDataset.getValue(row, column) + "</b></p></body><html>"; //$NON-NLS-1$ //$NON-NLS-2$
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYBarRenderer.java
-	90	+ ChartsEngineCoreMessages.EMPTY + " <b>" + RendererUtils.valuesNumberFormat.format(value) + "</b></p></body><html>"; //$NON-NLS-1$ //$NON-NLS-2$
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYCardinalSplineRenderer.java
-	103	+ ChartsEngineCoreMessages.EMPTY + " </b><b>" + RendererUtils.valuesNumberFormat.format(xyDataset.getSeries(series).getX(item)) + "</b></p></body><html>"; //$NON-NLS-1$ //$NON-NLS-2$
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYLineAndShapeRenderer.java
-	149	+ ChartsEngineCoreMessages.EMPTY + " <b>" + valuesNumberFormat.format(xyDataset.getSeries(series).getY(item)) + "</b></p></body><html>"; //$NON-NLS-1$ //$NON-NLS-2$
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYSplineRenderer.java
-	121	+ ChartsEngineCoreMessages.EMPTY + " </b><b>" + xyDataset.getSeries(series).getX(item) + "</b></p></body><html>"; //$NON-NLS-1$ //$NON-NLS-2$
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartCreator.java
-	58	Log.warning(Messages.ErrorRChartWasNullInP0 + result);
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartsEngine.java
-	94	Log.warning(Messages.RChartEngineOnlyManageFileChartsP0 + chart);
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.chartsengine.raster.rcp/src/org/txm/chartsengine/raster/rcp/swt/RasterComposite.java
-	128	Log.warning(Messages.CantLoadAChartWhichIsNotAFile+chart);
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java
-	342	Log.warning(ConcordanceCoreMessages.CQPErrorP0+e.getMessage());
-	914	Log.finest((to - from + 1) + ConcordanceCoreMessages.resultsRetrievedIn + (System.currentTimeMillis() - start) + "ms"); //$NON-NLS-1$
-	1618	txtseparator + ConcordanceCoreMessages.reference + txtseparator
-	1619	+ colseparator + txtseparator + ConcordanceCoreMessages.context + txtseparator
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.conllu.core/src/org/txm/conllu/core/search/UDSearchEngine.java
-	180	buffer.append(Messages.UDSearchEngine_9+udSentences.getNMatch()+"</p>\n"); //$NON-NLS-2$
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java
-	205	return occ + CooccurrenceCoreMessages.fColon + freq + CooccurrenceCoreMessages.occColon + nbocc + CooccurrenceCoreMessages.scoreColon + score + CooccurrenceCoreMessages.meanDistColon
-	206	+ distmoyenne + CooccurrenceCoreMessages.propertiesColon + props+debug;
-	1097	System.out.println(CooccurrenceCoreMessages.ErrorWhileSettingCooccurrenceParameters + e.getLocalizedMessage());
-	1725	txtseparator + CooccurrenceCoreMessages.occ + txtseparator + colseparator +
-	1726	txtseparator + CooccurrenceCoreMessages.freq + txtseparator + colseparator +
-	1727	txtseparator + CooccurrenceCoreMessages.coFreq + txtseparator + colseparator +
-	1728	txtseparator + CooccurrenceCoreMessages.score + txtseparator + colseparator +
-	1729	txtseparator + CooccurrenceCoreMessages.meanDist + txtseparator + "\n");// colseparator+ //$NON-NLS-1$
-	Missing PN: lang=messages->cooccurrentsOfP0PropertieP1InTheP2Corpus=Cooccurrents of {0}, property {1} {2} {3}, ≥{4} ≥{5} ≥{6}, in {7} corpus...
-	Missing PN: lang=messages->info_details=Coocurrences:  Corpus: {0}  Query:  {1}  Properties: {2}  Structure: {3}  Spans: {4} < left < {5} ; {6} < right < {7}  Thresholds: freq > {8} ; co-freq > {9} ; score > {10}  
-	Missing PN: lang=messages_fr->cooccurrentsOfP0PropertieP1InTheP2Corpus=Cooccurrents de {0}, propriété {1} {2} {3}, ≥{4} ≥{5} ≥{6}, dans le corpus {7}...
-	Missing PN: lang=messages_fr->info_details=Coocurrences:   Corpus: {0}   Requête: {1}   Propriétés: {2}   Structure: {3}   Empans: {4} < gauche < {5} ; {6} < droit < {7}   Seuils: fréq > {8} ; co-fréq > {9}; indice > {10} 
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.core/src/java/org/txm/Toolbox.java
-	441	Log.severe(TXMCoreMessages.ExceptionWhileInstallingExtensionIsP0 + e.getName() + "."); //$NON-NLS-2$
-	479	Log.severe(TXMCoreMessages.ExceptionWhileInstallingExtensionIsP0 + e.getName() + "."); //$NON-NLS-2$
-	594	Log.severe(TXMCoreMessages.ErrorWhileStartingEnginesOfTheP0EnginesManager + enginesManager.getEnginesDescription() + " engines manager."); //$NON-NLS-2$
-	680	Log.severe(TXMCoreMessages.FailToInstallExtensionP0FilesInP1 + extp.getName() + " files in " + workspace.getLocation()); //$NON-NLS-2$
-	793	Log.warning(TXMCoreMessages.WarningWorkspaceCannotFoundTheRedistDirectoryP0 + redistDirectory.getAbsolutePath());
-	Missing brakets: lang=messages->CantNotifyOfP0TheP1ExtensionP2P3P4=Can't notify of {0} the "{1}" extension: {4} ({3}).
-	Missing PN: lang=messages->info_p0P1Deleted={0} "{1}" deleted.
-	Missing PN: lang=messages->wrongLoginOrPasswordOrPortColonP0P1P203=Wrong login, password, host or port in : {0}, {1}, {2} ,{3}.
-	Missing PN: lang=messages_fr->info_p0P1Deleted={0} "{1}" supprimé(e).
-	Missing PN: lang=messages_fr->wrongLoginOrPasswordOrPortColonP0P1P203=Mauvais login, mot de passe, nom de machine ou port dans : {0}, {1}, {2}, {3}.
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionLink.java
-	40	Log.finer(EditionUIMessages.EditionLink_1+Arrays.toString(arguments));
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/SearchEditionToolbar.java
-	277	Log.info(EditionUIMessages.P0Hits + searchResult.getNMatch() + " hits."); //$NON-NLS-1$
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/SynopticEditionEditor.java
-	858	Log.severe(EditionUIMessages.TXMCouldNotOpenTheSWTInternalBrowser + e);
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/BackToText.java
-	113	System.out.println(EditionUIMessages.CouldNotOpenEditionForWordIdP0TextIdP1AndEditionP2 + wordid + " textid=" + textid + " edition=" + editionid); //$NON-NLS-2$ //$NON-NLS-3$
-	150	Log.warning(EditionUIMessages.ErrorNoCorpusWithIDP0 + corpusid);
-	154	Log.warning(EditionUIMessages.WarningCorpusHasNoEditionNamedP0 + editions);
-	160	Log.warning(EditionUIMessages.AvailablesP0 + corpus.getProject().getEditionNames());
-	178	Log.warning(EditionUIMessages.ErrorCorpusHasNoTextWithIDP0 + textid);
-	Missing brakets: lang=messages->ErrorNoCorpusWithIDP0=Error: no corpus with ID=
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.index.core/src/org/txm/index/core/functions/___Lexicon2.java
-	200	Log.finest(IndexCoreMessages.lexicon + corpus.getID());
-	454	return IndexCoreMessages.lexicon + ": " + this.parent.getSimpleName() + ": " + this.getSimpleName();
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.index.rcp/src/org/txm/index/rcp/editors/PartitionIndexEditor.java
-	431	freqColumn.setText(TXMCoreMessages.common_frequency + " T=" + index.getPartition().getTotalSize()); //$NON-NLS-1$
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.progression.core/src/org/txm/progression/core/chartsengine/base/Utils.java
-	47	title += "\n(" + ProgressionCoreMessages.structureColon + progression.getStructuralUnit().getName(); //$NON-NLS-1$
-	49	title += ProgressionCoreMessages.propertyColon + progression.getStructuralUnitProperty().getName();
-	51	title += ProgressionCoreMessages.filteringREGEXColon + progression.getPropertyRegex();
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.properties.core/src/org/txm/properties/core/functions/CorpusPropertiesComputer.java
-	339	subbuffer.append("<li>" + PropertiesCoreMessages.noProperty + "</li>\n"); //$NON-NLS-1$ //$NON-NLS-2$
-	427	buff.append(PropertiesCoreMessages.t + String.format(Locale.FRANCE, "%,d", numberOfWords) + "\n"); //$NON-NLS-1$ //$NON-NLS-2$
-	428	buff.append(PropertiesCoreMessages.wordProperties + String.format("%,d", NProperties) + "\n"); //$NON-NLS-1$ //$NON-NLS-2$
-	430	buff.append(PropertiesCoreMessages.s + String.format("%,d", NStructures) + "\n"); //$NON-NLS-1$ //$NON-NLS-2$
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.properties.core/src/org/txm/properties/core/functions/PartitionPropertiesComputer.java
-	52	buff.append(""+parts.size()+PropertiesCoreMessages.Parts); //$NON-NLS-1$
-	75	buff.append("<h3>"+parts.size()+PropertiesCoreMessages.Parts+"</h3>"); //$NON-NLS-1$ //$NON-NLS-3$
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.properties.core/src/org/txm/properties/core/functions/Properties.java
-	179	buffer.append("<h1 style'font-family:\"Arial\";'>" + PropertiesCoreMessages.descriptionOf + this.getParent().getName() + "</h1>\n"); //$NON-NLS-2$ //$NON-NLS-1$
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.properties.rcp/src/org/txm/properties/rcp/editors/PropertiesGeneralTab.java
-	90	System.out.println(Messages.PropertiesGeneralTab_2 + nameField.getText());
-	217	buffer.append(Messages.PropertiesGeneralTab_12 + editor.getResult().getParent().getUserName());
-	219	buffer.append(Messages.PropertiesGeneralTab_14 + editor.getResult().getParent().getResultType());
-	223	buffer.append(Messages.PropertiesGeneralTab_16 + editor.getResult().getParent().getParent().getUserName());
-	227	buffer.append(Messages.PropertiesGeneralTab_18 + TXMResult.PRETTY_LOCALIZED_TIME_FORMAT.format(d));
-	233	buffer.append(Messages.PropertiesGeneralTab_20 + TXMResult.PRETTY_LOCALIZED_TIME_FORMAT.format(d));
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.queryindex.rcp/src/org/txm/queryindex/rcp/editors/QueryIndexEditor.java
-	767	freqColumn.setText(TXMCoreMessages.common_frequency + " T=" + partition.getTotalSize()); //$NON-NLS-1$
-	769	freqColumn.setText(TXMCoreMessages.common_frequency + " T=" + corpus.getSize()); //$NON-NLS-1$
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java
-	219	TXMUIMessages.TXMWasNotCorrectlyStopped+"\n"+NLS.bind(TXMUIMessages.DoYouWantToStartADiagnosticOfYourCorporaEtcP0FileEtc, checkupResultFile) //$NON-NLS-1$
-	303	Log.fine(TXMUIMessages.closingColon + editorref.getId());
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchWindowAdvisor.java
-	201	mess.append("\n\n"+TXMUIMessages.YouReGoingToLostThoseModificationsIfNotAlreadyExportedContinue); //$NON-NLS-1$ //$NON-NLS-2$
-	214	mess.append("\n"+TXMUIMessages.ContinueAndLostTheUnsavedAnnotations); //$NON-NLS-1$
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/JobsTimer.java
-	37	message = ""+((int)t)+TXMUIMessages.msec; //$NON-NLS-1$
-	42	message = ""+(message.substring(0, 3))+TXMUIMessages.sec; //$NON-NLS-1$
-	44	message = ""+((int)t)+TXMUIMessages.sec; //$NON-NLS-1$
-	46	message = ""+((int)t/60)+TXMUIMessages.minAnd+((int)t%60)+TXMUIMessages.sec; //$NON-NLS-1$
-	48	message = ""+((int)t/3600)+TXMUIMessages.h+((int)(t%3600)/60)+TXMUIMessages.minAnd+((int)(t%3600)%60)+ TXMUIMessages.sec; //$NON-NLS-1$
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreatePartitionDialog.java
-	725	name = TXMUIMessages.part + count++;
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorporaDirectory.java
-	367	monitor.beginTask(TXMUIMessages.loadingBinaryCorpus +" "+sourceName+" ("+corporaFiles.size()+").", corporaFiles.size());
-	376	monitor.subTask(TXMUIMessages.loadingTheCorpusInThePlatform+": \n"+corpusDirectory.getName()+" ("+n+"/"+corporaFiles.size()+").");
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/corpuswizard/SourceDirectoryPage.java
-	165	Log.fine(TXMUIMessages.SourceDirectoryPage_14 + corpusname);
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/PasteFile.java
-	86	System.out.println(TXMUIMessages.failedToCopy+source+TXMUIMessages.to+dest);
-	88	System.out.println(TXMUIMessages.failedToCopy+source+TXMUIMessages.to+dest+TXMUIMessages.dDot+e);
-	99	System.out.println(TXMUIMessages.failedToCopy+source+TXMUIMessages.to+dest);
-	101	System.out.println(TXMUIMessages.failedToDelete+source);
-	104	System.out.println(TXMUIMessages.failedToCopy+source+TXMUIMessages.to+dest+TXMUIMessages.dDot+e);
-	123	System.out.println(TXMUIMessages.failedToCopy+source+TXMUIMessages.to+dest);
-	127	System.out.println(TXMUIMessages.failedToCopy+source+TXMUIMessages.to+dest+TXMUIMessages.dDot+e);
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/RenameFile.java
-	74	TXMUIMessages.renameFile, TXMUIMessages.renameFile + newname, newname, null);
-	77	System.out.println(TXMUIMessages.renamingByColon + newname);
-	83	System.out.println(TXMUIMessages.failedToRename + file + TXMUIMessages.to + newname);
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/DeleteObject.java
-	160	StatusLine.setMessage(TXMUIMessages.errorColonDeleteReturnedFalse + " : " + object); //$NON-NLS-1$
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScript.java
-	284	Log.severe(TXMUIMessages.errorDuringScriptExecutionColon+e);
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteImportScript.java
-	159	System.out.println(TXMUIMessages.errorColonCorporaDirectoryDoesntExistColon + corporadir);
-	160	Log.severe(TXMUIMessages.errorColonCorporaDirectoryDoesntExistColon + corporadir);
-	168	JobHandler jobhandler = new JobHandler(TXMUIMessages.scriptExecution + " " + project.getImportModuleName()) { //$NON-NLS-1$
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteLastGroovyScript.java
-	80	System.out.println(TXMUIMessages.executingLastMacroColon+lastScript);
-	82	System.out.println(TXMUIMessages.executingLastScriptColon+lastScript);
-	89	System.out.println(TXMUIMessages.errorColonCurrentGroovyScriptDirectoryDoesNotExistColon+currentRootDir);
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteScript.java
-	214	Log.warning(TXMUIMessages.noInterpreterFoundForScriptFileExtension+script.getName());
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteText.java
-	91	System.out.println(TXMUIMessages.noInterpreterFoundForScriptFileExtension+script.getName());
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/TXMUpdateHandler.java
-	302	Log.warning(TXMUIMessages.CouldNotAddTheDefaultUpdateRepository + uriDefault);
-	342	Log.warning(TXMUIMessages.CouldNotAddTheDefaultExtensionRepository + uriDefault);
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/MultipleValueTreeDialog.java
-	139	addButton.setText(TXMUIMessages.addColon+itemSubName);
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/QueryAssistDialog.java
-	202	addwordButton.setText(TXMUIMessages.addAWord+" ⯯");
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/NavigationWidget.java
-	237	System.out.println(TXMUIMessages.errorWhileGettingCurrentPositionValueColon+e);
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/PartitionComposer.java
-	221	p.setTitle(TXMUIMessages.part + (parts.size() + 1));
-	258	p.setTitle(TXMUIMessages.part + (parts.size() + 1));
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersDialog.java
-	215	System.out.println(TXMUIMessages.unknowedWidgetNameColon + widgetName + TXMUIMessages.FileTreeContentProvider_4);
-	425	System.out.println(TXMUIMessages.unknowedWidgetNameColon + widgetName + TXMUIMessages.FileTreeContentProvider_4);
-	464	Log.warning(TXMUIMessages.errorColonMissingValueColon + field);
-	539	Log.severe(TXMUIMessages.errorInAtOptionNameDeclarationColon + e.getMessage());
-	654	Log.warning(TXMUIMessages.errorInAtOptionNameDeclarationColon + e.getMessage());
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersDialog2.java
-	186	System.out.println(TXMUIMessages.errorColonMissingValueColon + StringUtils.join(missing, ", "));
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersGLComposite.java
-	204	System.out.println(TXMUIMessages.unknowedWidgetNameColon + widgetName + TXMUIMessages.FileTreeContentProvider_4);
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersManager.java
-	401	System.out.println(TXMUIMessages.errorInAtOptionNameDeclarationColon + e.getMessage());
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/UIParameterException.java
-	17	super(TXMUIMessages.error+true);
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/utils/JobHandler.java
-	261	Log.severe(TXMUIMessages.failedToCancel + this.getName());
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/utils/LanguageSwitchHandler.java
-	154	System.out.println(TXMUIMessages.tXMiniColon + location);
-	155	Log.severe(TXMUIMessages.tXMiniColon + location);
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/GroovyConsole.java
-	173	textArea.append(TXMUIMessages.theErrorIsColon + e);
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/FileTreeContentProvider.java
-	53	} catch(Exception e) { System.out.println(TXMUIMessages.fileExplorerColonIncorrectPattern+regex+TXMUIMessages.eRROR+e);}
-	109	System.out.println(TXMUIMessages.errorElementColon+element+TXMUIMessages.FileTreeContentProvider_4);
-	Missing PN: lang=messages->abortingLoadingOfP0ACorpusWithTheSameNameAlreadyExists=A corpus with the same name {1} already exists. Aborting loading of {0}.
-	Missing PN: lang=messages->abortingLoadingOfP1ACorpusWithTheSameCQPIDP1AlreadyExists=A corpus with the same identifier {1} already exists. Aborting loading of {0}.
-	Missing PN: lang=messages->computing=Computing {0}…
-	Missing brakets: lang=messages->errorWhileUpdatingTXMP0NoHandlerServiceFound=** Error while updating TXM: no handler service found
-	Missing PN: lang=messages->p0ParametersInput={0} parameters input
-	Missing PN: lang=messages->p0ScriptFileDoesntExist=** The script file {0} doesn''t exist.
-	Missing PN: lang=messages->p1ExportSavedInFileColonP0=Chart saved as {1} in the file {0}.
-	Missing PN: lang=messages->p1FileSavedInP0=Chart saved as {1} in the file {0}
-	Missing PN: lang=messages->startupFailedPleaseCheckTXMPreferencesInTheFileSupPreferencesMenuOrContactTxmusersMailingListMenuColonHelpSup=** Platform startup has been interrupted, please check TXM preferences (in the ''File>Preferences'' menu) : {0}. Then restart TXM.
-	Missing PN: lang=messages_fr->abortingLoadingOfP1ACorpusWithTheSameCQPIDP1AlreadyExists=Un corpus avec le même identifiant {1} existe déjà. Abandon du chargement de {0}.
-	Missing PN: lang=messages_fr->computing=Calcul de {0}…
-	Missing brakets: lang=messages_fr->errorWhileUpdatingTXMP0NoHandlerServiceFound=** Erreur lors de la mise à jour de TXM : aucun gestionnaire trouvé.
-	Missing PN: lang=messages_fr->exporting=Exportation de {0}…
-	Missing PN: lang=messages_fr->installingPreviousCorpusFromP0=Récupération des corpus préexistants de TXM {0} (depuis le dossier {1})...
-	Missing PN: lang=messages_fr->p0ParametersInput=Saisie des paramètres de {0}
-	Missing PN: lang=messages_fr->p0ScriptFileDoesntExist=** Le fichier de script {0} n''existe pas.
-	Missing PN: lang=messages_fr->p1ExportSavedInFileColonP0=Graphique enregistré au format {1} dans le fichier {0}.
-	Missing PN: lang=messages_fr->p1FileSavedInP0=Graphique enregistré au format {1} dans le fichier {0} 
-	Missing PN: lang=messages_fr->startupFailedPleaseCheckTXMPreferencesInTheFileSupPreferencesMenuOrContactTxmusersMailingListMenuColonHelpSup=** Le démarrage de la plateforme a été interrompu, veuillez régler les préférences de TXM (dans le menu ''Fichier>Préférences'') : {0} puis redémarrer TXM.
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.rcp.p2.ui/src/org/eclipse/equinox/internal/p2/ui/dialogs/UpdateWizard.java
-	106	mainPage.setTitle(ProvUIMessages.UpdateAction_UpdatesAvailableTitle+" - TXM");
-	Missing PN: lang=messages->info_computingPartXWithQueryZ=Computing the part {0} with query {1}...
-	Missing PN: lang=messages->info_creatingNewPartition=Creating partition {1} of corpus {0}…
-	Missing PN: lang=messages->info_creatingSubcorpusXFromCorpusYWithTheQueryZ=Creating sub-corpus {0} of corpus {1} with the query {2}…
-	Missing PN: lang=messages->info_deletingPartition=Deleting partition {0}…
-	Missing PN: lang=messages->info_partCreatedInXMs=Part {0} created in {1} ms.
-	Missing PN: lang=messages->info_partitionCreatedInXMs=Partition {0} created in {1} ms.
-	Missing PN: lang=messages_fr->info_computingPartXWithQueryZ=Création de la partie {0} avec la requête {1}...
-	Missing PN: lang=messages_fr->info_creatingNewPartition=Création de la partition {1} du corpus {0}…
-	Missing PN: lang=messages_fr->info_creatingSubcorpusXFromCorpusYWithTheQueryZ=Création du sous-corpus {0} du corpus {1} avec la requête {2}…
-	Missing PN: lang=messages_fr->info_deletingPartition=Suppression de la partition {0}…
-	Missing PN: lang=messages_fr->info_partCreatedInXMs=Partie {0} créée en {1} ms.
-	Missing PN: lang=messages_fr->info_partitionCreatedInXMs=Partition {0} créée en {1} ms.
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/MemCqiClient.java
-	92	throw new CqiErrorGeneralError(CQPSearchEngineCoreMessages.unknownCQPErrorColonB1 + b + CQPSearchEngineCoreMessages.b2 + b2);
-	97	lastError = CQPSearchEngineCoreMessages.internalCQIErrorColon + " CQI_ERROR (" + b + ")";
-	109	throw new CqiErrorGeneralError(CQPSearchEngineCoreMessages.unknownCQPCQIErrorColonB1 + b + CQPSearchEngineCoreMessages.b2 + b2);
-	137	throw new CqiErrorGeneralError(CQPSearchEngineCoreMessages.unknownCQPCodeColonB1 + b + CQPSearchEngineCoreMessages.b2 + b2);
-	141	lastError = CQPSearchEngineCoreMessages.cLErrorP0 + "CL_ERROR (" + b + ")";
-	167	throw new CqiErrorGeneralError(CQPSearchEngineCoreMessages.unknownCQPErrorColonB1 + b + CQPSearchEngineCoreMessages.b2 + b2);
-	191	throw new CqiErrorGeneralError(CQPSearchEngineCoreMessages.unknownCQPErrorColonB1 + b + CQPSearchEngineCoreMessages.b2 + b2);
-	194	throw new CqiErrorGeneralError(CQPSearchEngineCoreMessages.unknownCQPCodesColonB1 + b + CQPSearchEngineCoreMessages.b2 + b2);
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/NetCqiClient.java
-	550	lastError = CQPSearchEngineCoreMessages.internalCQIErrorColon+b;
-	593	lastError = CQPSearchEngineCoreMessages.cLErrorP0+b;
-	837	Log.severe(CQPSearchEngineCoreMessages.lastCQiErrorP0 + e);
-	858	Log.severe(CQPSearchEngineCoreMessages.lastCQPErrorP0 + e);
-	1578	System.out.println(CQPSearchEngineCoreMessages.couldNotReconnectToServerColon+e);
-	1745	System.out.println(CQPSearchEngineCoreMessages.clientdumpSubCorpussubcorpusNetCqiClientCQICONSTFIELDMATCH12Colon+Arrays.toString(client.dumpSubCorpus(subcorpusid, NetCqiClient.CQI_CONST_FIELD_MATCH, 1, 10)));
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/NetCqiServer.java
-	285	System.out.println(CQPSearchEngineCoreMessages.cqpserverStdoutColon + line);
-	303	System.out.println(CQPSearchEngineCoreMessages.cqpserverStderrColon + line);
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/functions/selection/Selection.java
-	125	System.out.println(TXMCoreMessages.selectionErrorColonTheCorpus + corpus + TXMCoreMessages.hasNoBase);
-	148	Log.warning(TXMCoreMessages.cantFindStructuralUnitForMetadataWithIdColon + m.id);
-	154	Log.severe(TXMCoreMessages.errorWhileGettingMetadatasFromBaseimportMetadatasColon + e);
-	232	System.out.println(TXMCoreMessages.corpusColon + corpus);
-	450	System.out.println(TXMCoreMessages.failedToGetSupValuesOf + sup.getFullName());
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPCorpus.java
-	405	Log.warning(TXMCoreMessages.warningColonCantLoadCorpus + this);
-	875	return TXMCoreMessages.corpusColon + this.pID + TXMCoreMessages.encodingColon + getCharset() + TXMCoreMessages.languageColon + getLang();
-	913	System.out.println(TXMCoreMessages.corpusColongetLocaleColonCQPIsNotReadyToAnswerColon + e);
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Part.java
-	89	throw new CqiClientException(TXMCoreMessages.failedToCreatePartColon + this.getParent().getName() + "_" + this.getName() + e + " last error: " + CQPSearchEngine.getCqiClient().getLastCQPError()); //$NON-NLS-1$ //$NON-NLS-2$
-	92	Log.severe(TXMCoreMessages.failedToGetLastCQPErrorColon + e1);
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Subcorpus.java
-	227	Log.warning(this.pID + TXMCoreMessages.failedToRestoreTheP0SubcorpusOfP1P2 + subcorpusElem.getAttribute("name")
-	Missing PN: lang=messages->dataDirectory=The 'data' folder {0} does not exist.
-	Missing PN: lang=messages->p0IsNotAValidCQPIDForASubcorpusItMustBeAnUppercaseCharacterFollowedByLowercaseCharacters={0} is not a valid CQP identifier for a sub-corpus. It must be in uppercase followed by lowercase characters.
-	Missing PN: lang=messages->updating=Updating {0} corpus encoding to {1}…
-	Missing PN: lang=messages_fr->dataDirectory=Le dossier 'data'' {0} n''existe pas.
-	Missing PN: lang=messages_fr->p0IsNotAValidCQPIDForASubcorpusItMustBeAnUppercaseCharacterFollowedByLowercaseCharacters={0} n'est pas un identifiant de sous-corpus CQP valide. Il doit être en majuscules suivies de caractères minuscules.
-	Missing PN: lang=messages_fr->updating=Mise à jour de l'encodage du corpus {0} vers {1}…
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/Complementary.java
-	75	System.out.println(TXMUIMessages.noSelectionForColon + HandlerUtil.getActiveWorkbenchWindow(event).getActivePage().getActiveEditor());
-	91	System.out.println(TXMUIMessages.selectionIsNotACorpusColon + firstElement);
-	179	System.out.println(TXMUIMessages.failedToGetLastCQPErrorColon + e1);
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/ComputeIntersection.java
-	50	System.out.println(CQPUIMessages.ErrorSelectionSize2 + subcorpora.size());
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/ComputePartition.java
-	131	System.out.println(TXMUIMessages.noSelectionForColon + HandlerUtil.getActiveWorkbenchWindow(event).getActivePage().getActiveEditor());
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/ComputeSubCorpus.java
-	122	System.out.println(TXMUIMessages.noSelectionForColon + HandlerUtil.getActiveWorkbenchWindow(event).getActivePage().getActiveEditor());
-	149	System.out.println(TXMUIMessages.noSelectionForColon + HandlerUtil.getActiveWorkbenchWindow(event).getActivePage().getActiveEditor());
-	155	System.out.println(TXMUIMessages.selectionIsNotACorpusColon + firstElement);
-	229	System.out.println(TXMUIMessages.failedToGetLastCQPErrorColon + e1);
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/EditPartition.java
-	63	System.out.println(TXMUIMessages.noSelectionForColon + HandlerUtil.getActiveWorkbenchWindow(event).getActivePage().getActiveEditor());
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/EditSubCorpus.java
-	62	System.out.println(TXMUIMessages.noSelectionForColon + HandlerUtil.getActiveWorkbenchWindow(event).getActivePage().getActiveEditor());
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/Intersection.java
-	75	System.out.println(TXMUIMessages.noSelectionForColon + HandlerUtil.getActiveWorkbenchWindow(event).getActivePage().getActiveEditor());
-	91	System.out.println(TXMUIMessages.selectionIsNotACorpusColon + firstElement);
-	179	System.out.println(TXMUIMessages.failedToGetLastCQPErrorColon + e1);
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/Substraction.java
-	75	System.out.println(TXMUIMessages.noSelectionForColon + HandlerUtil.getActiveWorkbenchWindow(event).getActivePage().getActiveEditor());
-	91	System.out.println(TXMUIMessages.selectionIsNotACorpusColon + firstElement);
-	183	System.out.println(TXMUIMessages.failedToGetLastCQPErrorColon + e1);
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/Union.java
-	75	System.out.println(TXMUIMessages.noSelectionForColon + HandlerUtil.getActiveWorkbenchWindow(event).getActivePage().getActiveEditor());
-	91	System.out.println(TXMUIMessages.selectionIsNotACorpusColon + firstElement);
-	179	System.out.println(TXMUIMessages.failedToGetLastCQPErrorColon + e1);
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.specificities.core/src/org/txm/functions/contrasts/Contrast.java
-	116	String txt = SpecificitiesCoreMessages.unit+colseparator+"F"; //$NON-NLS-1$
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.specificities.core/src/org/txm/functions/contrasts/Contrasts.java
-	41	System.out.println(TXMCoreMessages.computingColon+m.getName());
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.specificities.core/src/org/txm/specificities/core/functions/Specificities.java
-	547	String txt = SpecificitiesCoreMessages.unit + colseparator + "F"; //$NON-NLS-1$
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java
-	353	text += " " + SpecificitiesUIMessages.t + " " + this.getResult().getFrequenciesSum(); //$NON-NLS-1$ //$NON-NLS-2$
-	Missing brakets: lang=messages->EditorIsNotASpecificitiesEditorP0=Editor is not a SpecificitiesEditor: 
-	Missing brakets: lang=messages->ErrorWhileComputingSpecificitiesBarChartP0=Error while computing specificities bar chart: 
-	Missing PN: lang=messages->colIndex=** Column number too big ({0}) (the maximum is {1}).
-	Missing PN: lang=messages->rowIndex=Row index ({0}) too big (max {1}).
-	Missing PN: lang=messages_fr->colIndex=** Numéro de colonne trop grand ({0}) (le maximum est {1}).
-	Missing PN: lang=messages_fr->rowIndex=Index de ligne ({0}) trop grand (max {1}).
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/StartRserve.java
-	157	Log.severe(RCoreMessages.error_failedToStartRServeWithCommand + x.getMessage());
-	Missing PN: lang=messages->p0RScriptDoesntExist=** The R script file {0} doesn''t exist.
-	Missing PN: lang=messages_fr->p0RScriptDoesntExist=** Le fichier de script R {0} n''existe pas.
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.statsengine.r.rcp/src/org/txm/rcp/commands/R/ShowSvgHelp.java
-	52	TXMUIMessages.panColonRightMousePlusDrag +
-	53	TXMUIMessages.zoomInAmpoutColonMouseWheelORShiftPlusRightMousePlusDrag +
-	54	TXMUIMessages.zoomToSelectionColonCtrlPlusLeftMousePlusdrag +
-	55	TXMUIMessages.EMPTY +
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/SendToRCommand.java
-	77	JobHandler jobhandler = new JobHandler(RUIMessages.sendingToRWorkspaceColon + list) {
-	85	monitor.beginTask(RUIMessages.sendingToRWorkspaceColon + list, 100);
-	92	monitor.subTask(RUIMessages.sendingToRWorkspaceColon + o);
-	109	System.out.println(RUIMessages.FailedToSendToR + o);
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RConsole.java
-	253	System.out.println(RUIMessages.errorWhileInitializingRConsoleColon + e);
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TSCmd.java
-	92	System.out.println(TXMCoreMessages.queryWasColon+ query);
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TSCorpus.java
-	318	System.out.println(TXMCoreMessages.couldntReadCorpusColon + e.getMessage());
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TSCorpusManager.java
-	67	System.out.println(TXMCoreMessages.errorRegDirColon + registrydir);
-	72	System.out.println(TXMCoreMessages.errorConfigdirDirColon + configdir);
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TigerXmlIndexing.java
-	42	catch (IOException e) { System.out.println(TXMCoreMessages.iOColon+e.getMessage()); org.txm.utils.logger.Log.printStackTrace(e); }
-	43	catch (SAXException e) { System.out.println(TXMCoreMessages.sAXColon+e.getMessage()); org.txm.utils.logger.Log.printStackTrace(e);}
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/tigersearch/editors/TSIndexEditor.java
-	903	freqColumn.setText(TXMCoreMessages.common_frequency + " T=" + partition.getTotalSize()); //$NON-NLS-1$
-	906	freqColumn.setText(TXMCoreMessages.common_frequency + " T=" + corpus.getSize()); //$NON-NLS-1$
-	1140	lFminInfo.setText(IndexUIMessages.IndexEditor_17 + index.getFmin());
-	1141	lFmaxInfo.setText(IndexUIMessages.IndexEditor_17 + index.getFmax());
-	1142	lTInfo.setText(IndexUIMessages.IndexEditor_17 + index.getT());
-	1143	lVInfo.setText(IndexUIMessages.IndexEditor_17 + index.getV());
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.treesearch.core/src/org/txm/treesearch/function/TreeSearch.java
-	129	return ""+n+Messages.P0matchingSentenceP1+(n > 1?"s":""); //$NON-NLS-1$ //$NON-NLS-3$ //$NON-NLS-4$
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/ExecTimer.java
-	34	message = "" + ((int) t / 60) + UtilsCoreMessages.ExecTimer_2 + ((int) t % 60) + UtilsCoreMessages.ExecTimer_1; //$NON-NLS-1$
-	36	message = "" + ((int) t / 3600) + UtilsCoreMessages.ExecTimer_3 + ((int) (t % 3600) / 60) + UtilsCoreMessages.ExecTimer_2 + ((int) (t % 3600) % 60) + UtilsCoreMessages.ExecTimer_1; //$NON-NLS-1$
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/LS.java
-	36	System.err.println(UtilsCoreMessages.LS_0 + dir + UtilsCoreMessages.LS_1);
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/Sh.java
-	130	Log.fine(UtilsCoreMessages.Sh_4 + e + " at " //$NON-NLS-1$
-	173	Log.fine(UtilsCoreMessages.Sh_4 + e + " at " //$NON-NLS-1$
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/i18n/Localizer.java
-	152	return UtilsCoreMessages.Localizer_0 + getDefaultBundle().getString(key);
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/io/FileCopy.java
-	187	throw new IOException(UtilsCoreMessages.FileCopy_0 + src.getAbsolutePath() + "."); //$NON-NLS-1$
-	190	throw new IOException(UtilsCoreMessages.FileCopy_2 + src.getAbsolutePath() + "."); //$NON-NLS-1$
-	202	throw new IOException(UtilsCoreMessages.FileCopy_4 + dest.getAbsolutePath() + "."); //$NON-NLS-1$
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/logger/Log.java
-	113	System.out.println(UtilsCoreMessages.Log_3 + new File(filename).getAbsolutePath());
-	142	System.out.println(UtilsCoreMessages.Log_5 + logfiledir.getAbsolutePath() + "TXM-" + f.format(new Date()) + ".log"); //$NON-NLS-2$ //$NON-NLS-1$
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/editors/WordCloudEditor.java
-	85	Log.info(WordCloudUIMessages.wordCloudReadyColon + this.getResult());
-/HDD800GB/HDD/SVN/txm/TXM/trunk/bundles/org.txm.xmleditor.rcp/src/org/txm/xmleditor/OpenXMLEditor.java
-	185	System.out.println(XMLEditorMessages.OpenXMLEditor_4 + e);
Index: TXM/trunk/bundles/org.txm.translate.rcp/src/org/txm/rcp/translate/devtools/FindMessagesToBind.java
===================================================================
--- TXM/trunk/bundles/org.txm.translate.rcp/src/org/txm/rcp/translate/devtools/FindMessagesToBind.java	(revision 3905)
+++ TXM/trunk/bundles/org.txm.translate.rcp/src/org/txm/rcp/translate/devtools/FindMessagesToBind.java	(revision 3906)
@@ -104,6 +104,7 @@
 		if (toBind.size() > 0) {
 			writer.println(sourceFile.getAbsolutePath());
 			for (String l : toBind) {
+				if (l.contains("Log.finer")) continue;
 				writer.println("\t" + l);
 			}
 		}
@@ -224,7 +225,6 @@
 			}
 		}
 		
-		
 		writer.close();
 		
 		if (total > 0) {
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 3905)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 3906)
@@ -1049,7 +1049,7 @@
 									jobHandler.setTaskName(TXMUIMessages.toolboxReady);
 								}
 								catch (Throwable e) {
-									System.out.println(TXMUIMessages.initialisationErrorP0+e);
+									System.out.println(NLS.bind(TXMUIMessages.initialisationErrorP0, e));
 									e.printStackTrace();
 								}
 							}
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java	(revision 3905)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java	(revision 3906)
@@ -50,6 +50,7 @@
 import org.eclipse.jface.viewers.Viewer;
 import org.eclipse.jface.viewers.ViewerSorter;
 import org.eclipse.jface.window.ToolTip;
+import org.eclipse.osgi.util.NLS;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.SWTException;
 import org.eclipse.swt.events.KeyAdapter;
@@ -117,30 +118,30 @@
  * <p>
  */
 public class CorporaView extends ViewPart {
-	
+
 	/** The ID. */
 	static public String ID = CorporaView.class.getName();
-	
+
 	/** The tree viewer. */
 	public TreeViewer treeViewer;
-	
+
 	/** The self. */
 	private static CorporaView self;
-	
+
 	/**
 	 * stores the class that are managed by a Doubleclick handler
 	 */
 	// private static HashMap<Class, Class> managedDoubleClickClasses = new HashMap<Class, Class>();
-	
-	
+
+
 	public static HashMap<String, String> doubleClickInstalledCommands = new HashMap<>();
-	
-	
+
+
 	// public static HashMap<Class, Class> getManagedDoubleClickClasses() {
 	// return managedDoubleClickClasses;
 	// }
-	
-	
+
+
 	/**
 	 * Gets the single instance of CorporaView.
 	 *
@@ -149,7 +150,7 @@
 	public static CorporaView getInstance() {
 		if (self == null) {
 			if (!PlatformUI.isWorkbenchRunning()) return null;
-			
+
 			IWorkbenchWindow window = PlatformUI.getWorkbench().getActiveWorkbenchWindow();
 			if (window == null) return null;
 			IWorkbenchPage page = window.getActivePage();
@@ -159,12 +160,12 @@
 		}
 		return self;
 	}
-	
+
 	public TreeViewer getTreeViewer() {
 		return treeViewer;
 	}
-	
-	
+
+
 	/**
 	 * Reload.
 	 */
@@ -174,18 +175,18 @@
 		if (corporaView != null)
 			corporaView._reload();
 	}
-	
+
 	/**
 	 * _reload.
 	 */
 	public void _reload() {
 		if (Toolbox.isInitialized()) {
-			
+
 			treeViewer.setContentProvider(new CorpusViewContentProvider(this));
 			ColumnViewerToolTipSupport.enableFor(treeViewer);
-			
+
 			treeViewer.setLabelProvider(new CorpusViewLabelProvider(new WorkbenchLabelProvider(), PlatformUI.getWorkbench().getDecoratorManager().getLabelDecorator()));
-			
+
 			Workspace w = Toolbox.workspace;
 			if (w == null) {
 				return;
@@ -194,7 +195,7 @@
 			treeViewer.refresh();
 		}
 	}
-	
+
 	/**
 	 * This is a callback that will allow us to create the viewer and initialize
 	 * it.
@@ -207,8 +208,8 @@
 		PlatformUI.getWorkbench().getHelpSystem().setHelp(treeViewer.getControl(), TXMUIMessages.corpus);
 		getSite().setSelectionProvider(treeViewer);
 		treeViewer.setColumnProperties(new String[] { "name" }); // mandatory to enable edit mode -> used to identify columns //$NON-NLS-1$
-		
-		
+
+
 		// ColumnViewerEditorActivationStrategy actSupport = new ColumnViewerEditorActivationStrategy(treeViewer) {
 		// protected boolean isEditorActivationEvent(ColumnViewerEditorActivationEvent event) {
 		// System.out.println("activated");
@@ -250,7 +251,7 @@
 		// return element instanceof TXMResult;
 		// }
 		// });
-		
+
 		// treeViewer.addFilter(new ViewerFilter() {
 		// @Override
 		// public boolean select(Viewer viewer, Object parentElement, Object element) {
@@ -261,10 +262,10 @@
 		// });
 		treeViewer.setContentProvider(new CorpusViewContentProvider(this));
 		treeViewer.setLabelProvider(new DecoratingLabelProvider(new WorkbenchLabelProvider(), PlatformUI.getWorkbench().getDecoratorManager().getLabelDecorator()));
-		
+
 		// for now the sorter is used to sort the Corpus, Subcorpus and partition objects
 		treeViewer.setSorter(new ViewerSorter() {
-			
+
 			@Override
 			public int category(Object element) {
 				if (element instanceof Subcorpus) return 2; // must do it before the Corpus test
@@ -272,17 +273,17 @@
 				else if (element instanceof Partition) return 1;
 				else return 3;
 			}
-			
+
 			@Override
 			public int compare(Viewer viewer, Object e1, Object e2) {
-				
+
 				int cat1 = category(e1);
 				int cat2 = category(e2);
-				
+
 				if (cat1 != cat2) {
 					return cat1 - cat2;
 				}
-				
+
 				if (e1 instanceof TXMResult && e2 instanceof TXMResult) {
 					return ((TXMResult) e1).compareTo((TXMResult) e2);
 				}
@@ -291,7 +292,7 @@
 				}
 			}
 		});
-		
+
 		if (Toolbox.isInitialized()) {
 			Workspace w = null;
 			while (w == null) {
@@ -312,25 +313,25 @@
 		}
 		// FIXME: SJ: to remove?
 		// PlatformUI.getWorkbench().getHelpSystem().setHelp(treeViewer.getTree(), "org.txm.rcp.corporaView" //$NON-NLS-1$);
-		
+
 		treeViewer.getTree().addSelectionListener(new SelectionListener() {
-			
+
 			@Override
 			public void widgetSelected(SelectionEvent e) {
 				TreeItem[] sel = treeViewer.getTree().getSelection();
 				if (sel.length == 0)
 					return;
-				
+
 				CorporaSourceProvider.updateSelection(treeViewer.getSelection());
-				
+
 				CorporaView.this.setFocus(); // force focus on the corpora view -> ensure the active selection is the corpora view selection
-				
+
 				ISelection tsel = treeViewer.getSelection();
 				if (!(tsel instanceof TreeSelection)) return;
-				
+
 				TreeSelection selection = (TreeSelection) treeViewer.getSelection();
 				Object selectedItem = selection.getFirstElement();
-				
+
 				// FIXME : MD tests
 				// if (selectedItem instanceof TXMResult) {
 				// TXMResult r = ((TXMResult)selectedItem);
@@ -340,7 +341,7 @@
 				// StatusLine.setMessage(mess);
 				// }
 				// }
-				
+
 				// FIXME: SJ tests, define here what to display
 				if (selectedItem instanceof TXMResult) {
 					TXMResult result = ((TXMResult) selectedItem);
@@ -350,7 +351,7 @@
 					// }
 					// StatusLine.setMessage(mess);
 					// StatusLine.setMessage(((TXMResult)selectedItem).getComputingDoneMessage());
-					
+
 					if (result instanceof MainCorpus) { // just for this result type, pre-compute to show the corpus size
 						try {
 							result.compute(false);
@@ -360,7 +361,7 @@
 							e1.printStackTrace();
 						}
 					}
-					
+
 					// Status bar
 					//					if (!result.hasBeenComputedOnce() && !(result instanceof Partition)) { // FIXME: SJ: tmp fix for showing Partition parts
 					//						StatusLine.setMessage("");
@@ -369,28 +370,31 @@
 					//						// TODO uncomment when status line will be restored
 					//						// StatusLine.setMessage(((TXMResult) selectedItem).getDetails());
 					//					}
-					
+
 					// FIXME : MD re-enable status line on corpora view selection
 					if (selectedItem instanceof TXMResult) {
-						
+
 						TXMResult r = ((TXMResult)selectedItem);
 						String mess = null;
 						try {mess = r.getSimpleDetails();}
-						catch(Exception e2) {Log.info(TXMUIMessages.errorWhileGettingResultInformationsP0+e2); Log.printStackTrace(e2);}
-						
+						catch(Exception e2) {
+							Log.warning(NLS.bind(TXMUIMessages.errorWhileGettingResultInformationsP0, e2));
+							Log.printStackTrace(e2);
+						}
+
 						if (mess == null) mess = r.getName();
 						StatusLine.setMessage(mess);
 					}
 				}
 			}
-			
+
 			@Override
 			public void widgetDefaultSelected(SelectionEvent e) {
 				// TODO Auto-generated method stub
 			}
 		});
-		
-		
+
+
 		// double click listener installation from commands
 		IWorkbenchWindow window = PlatformUI.getWorkbench().getActiveWorkbenchWindow();
 		ICommandService cmdService = window.getService(ICommandService.class);
@@ -407,16 +411,16 @@
 				e1.printStackTrace();
 			}
 		}
-		
+
 		treeViewer.addDoubleClickListener(new IDoubleClickListener() {
-			
+
 			@Override
 			public void doubleClick(DoubleClickEvent event) {
 				TreeSelection selection = (TreeSelection) treeViewer.getSelection();
 				Object selectedItem = selection.getFirstElement();
 				if (selectedItem != null) {
 					String commandId = doubleClickInstalledCommands.get(selectedItem.getClass().getName());
-					
+
 					if (commandId == null) {
 						for (String clazz : doubleClickInstalledCommands.keySet()) {
 							if (selectedItem.getClass().getSuperclass().getName().equals(clazz)) {
@@ -425,7 +429,7 @@
 							}
 						}
 					}
-					
+
 					if (commandId != null) {
 						BaseAbstractHandler.executeCommand(commandId);
 					}
@@ -443,47 +447,47 @@
 				}
 			}
 		});
-		
+
 		treeViewer.getTree().addKeyListener(new KeyAdapter() {
-			
+
 			@Override
 			public void keyPressed(KeyEvent e) {
-				
+
 				boolean expert = TBXPreferences.getInstance().getBoolean(TBXPreferences.EXPERT_USER);
-				
+
 				if (expert && (char) e.keyCode == 'c' & ((e.stateMask & SWT.CTRL) != 0)) {
 					Object o = treeViewer.getStructuredSelection().getFirstElement();
 					if (o != null && o instanceof TXMResult) {
 						CopyTXMResultTree.copy((IStructuredSelection) treeViewer.getSelection());
 					}
-					
+
 				}
 				else if (expert && (char) e.keyCode == 'x' & ((e.stateMask & SWT.CTRL) != 0)) {
 					Object o = treeViewer.getStructuredSelection().getFirstElement();
 					if (o != null && o instanceof TXMResult) {
 						CutTXMResultTree.cut((IStructuredSelection) treeViewer.getSelection());
 					}
-					
+
 				}
 				else if (expert && (char) e.keyCode == 'v' & ((e.stateMask & SWT.CTRL) != 0)) {
 					Object o = treeViewer.getStructuredSelection().getFirstElement();
 					if (o != null && o instanceof TXMResult) {
 						PasteTXMResultTree.paste((TXMResult) o);
 					}
-					
+
 				} else if (e.keyCode == SWT.DEL) {
 					final ISelection sel = treeViewer.getSelection();
 					if (sel instanceof IStructuredSelection) {
-						
+
 						if (!DeleteObject.askContinueToDelete((IStructuredSelection) sel)) return;
-						
+
 						JobHandler job = new JobHandler(TXMUIMessages.deleting, true) {
-							
+
 							@Override
 							protected IStatus run(IProgressMonitor monitor) {
 								DeleteObject.delete(sel);
 								this.syncExec(new Runnable() {
-									
+
 									@Override
 									public void run() {
 										refresh();
@@ -512,17 +516,17 @@
 				// }
 			}
 		});
-		
+
 		final int IMAGE_MARGIN = 2;
 		final Image icon = IImageKeys.getImage("icons/decorators/bullet_green.png"); //$NON-NLS-1$
 		final Image icon_lock = IImageKeys.getImage("icons/decorators/lock.png"); //$NON-NLS-1$
-		
+
 		// FIXME: test to show icon for results that are user persistable
 		// final Image icon = AbstractUIPlugin.imageDescriptorFromPlugin("org.eclipse.gef","platform:/plugin/org.eclipse.gef/org/eclipse/gef/internal/icons/pinned.gif").createImage();
 		// final Image icon = AbstractUIPlugin.imageDescriptorFromPlugin("org.eclipse.team.svn.help","platform:/plugin/org.eclipse.team.svn.help/images/lock.gif").createImage();
-		
-		
-		
+
+
+
 		// treeViewer.getTree().addListener(SWT.MeasureItem, new Listener() {
 		// public void handleEvent(Event event) {
 		// TreeItem item = (TreeItem)event.item;
@@ -533,7 +537,7 @@
 		// }
 		// });
 		treeViewer.getTree().addListener(SWT.PaintItem, new Listener() {
-			
+
 			@Override
 			public void handleEvent(Event event) {
 				if (event.item.getData() instanceof TXMResult && ((TXMResult) event.item.getData()).isLocked()) {
@@ -544,27 +548,27 @@
 						int itemHeight = treeViewer.getTree().getItemHeight();
 						int imageHeight = trailingImage.getBounds().height;
 						int y = 2 + event.y + (itemHeight - imageHeight) / 2;
-						
+
 						event.gc.drawImage(icon_lock, x, y);
 					}
 				}
 			}
 		});
-		
+
 		MenuManager menuManager = new MenuManager();
 		Menu menu = menuManager.createContextMenu(treeViewer.getTree());
-		
+
 		// Set the MenuManager
 		treeViewer.getTree().setMenu(menu);
 		getSite().registerContextMenu(menuManager, treeViewer);
 		// Make the selection available
 		getSite().setSelectionProvider(treeViewer);
-		
+
 		IContextService contextService = getSite().getService(IContextService.class);
 		contextService.activateContext(ID);
 	}
-	
-	
+
+
 	/**
 	 * Passing the focus request to the viewer's control.
 	 */
@@ -572,7 +576,7 @@
 	public void setFocus() {
 		treeViewer.getControl().setFocus();
 	}
-	
+
 	/**
 	 * Gets the first selected object in the tree.
 	 * 
@@ -592,7 +596,7 @@
 		}
 		return null;
 	}
-	
+
 	/**
 	 * Gets the selected objects in the tree.
 	 * 
@@ -612,16 +616,16 @@
 		}
 		return null;
 	}
-	
+
 	/**
 	 * Selects some items.
 	 * 
 	 * @param arrayList
 	 */
 	public static void select(List<?> arrayList) {
-		
+
 		if (!PlatformUI.isWorkbenchRunning()) return;
-		
+
 		CorporaView corporaView = openView();
 		if (corporaView != null) {
 			StructuredSelection selection = new StructuredSelection(arrayList);
@@ -629,7 +633,7 @@
 			corporaView.getTreeViewer().reveal(arrayList); // to be sure
 		}
 	}
-	
+
 	/**
 	 * Opens the Corpora view if not already opened.
 	 * 
@@ -639,7 +643,7 @@
 		// open Unit View if not opened
 		try {
 			if (!PlatformUI.isWorkbenchRunning()) return null;
-			
+
 			IWorkbenchPage page = PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage();
 			CorporaView view = (CorporaView) page.findView(CorporaView.ID);
 			if (view == null) {
@@ -657,8 +661,8 @@
 		}
 		return null;
 	}
-	
-	
+
+
 	/**
 	 * Refresh the tree view.
 	 */
@@ -670,7 +674,7 @@
 			// corporaView.treeViewer.expandAll(); // FIXME
 		}
 	}
-	
+
 	/**
 	 * Refreshes the view and the tree.
 	 *
@@ -679,9 +683,9 @@
 	public static void refresh(CorporaView corporaView) {
 		corporaView.treeViewer.refresh();
 	}
-	
-	
-	
+
+
+
 	/**
 	 * Refreshes the specified result node in the tree view.
 	 * 
@@ -689,14 +693,14 @@
 	 */
 	public static void refreshObject(final TXMResult result) {
 		Display.getDefault().syncExec(new Runnable() {
-			
+
 			@Override
 			public void run() {
-				
+
 				CorporaView corporaView = getInstance();
-				
+
 				corporaView.treeViewer.refresh();
-				
+
 				try {
 					CorporaView.expand(result.getParent());
 				}
@@ -705,7 +709,7 @@
 			}
 		});
 	}
-	
+
 	/**
 	 * Refreshes the specified result node in the tree view, also synchronizes the TXMResult and the TXMEditor (as the editor part name from the result name, for example).
 	 * 
@@ -714,7 +718,7 @@
 	public static void refreshObject(TXMEditor editor) {
 		refreshObject(editor.getResult());
 	}
-	
+
 	/**
 	 * Expands the specified tree node.
 	 * 
@@ -726,7 +730,7 @@
 			corporaView.treeViewer.expandToLevel(obj, 1);
 		}
 	}
-	
+
 	/**
 	 * 
 	 * @param obj
@@ -737,7 +741,7 @@
 			corporaView.treeViewer.reveal(obj);
 		}
 	}
-	
+
 	/**
 	 * Checks if the Corpora view is active.
 	 * 
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/QueriesView.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/QueriesView.java	(revision 3905)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/QueriesView.java	(revision 3906)
@@ -195,7 +195,7 @@
 					EditFile.openfile(path);
 					refresh();
 				} catch (IOException e) {
-					Log.severe(TXMUIMessages.errorWhileExportingQueriesP0+e.getLocalizedMessage());
+					Log.severe(NLS.bind(TXMUIMessages.errorWhileExportingQueriesP0, e.getLocalizedMessage()));
 				} catch (Exception e) {
 					// TODO Auto-generated catch block
 					org.txm.utils.logger.Log.printStackTrace(e);
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/utils/SWTEditorsUtils.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/utils/SWTEditorsUtils.java	(revision 3905)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/utils/SWTEditorsUtils.java	(revision 3906)
@@ -19,6 +19,7 @@
 import org.eclipse.e4.ui.model.application.ui.basic.MStackElement;
 import org.eclipse.e4.ui.model.application.ui.basic.impl.BasicFactoryImpl;
 import org.eclipse.e4.ui.workbench.modeling.EModelService;
+import org.eclipse.osgi.util.NLS;
 import org.eclipse.ui.IEditorInput;
 import org.eclipse.ui.IEditorPart;
 import org.eclipse.ui.IEditorReference;
@@ -336,7 +337,7 @@
 		
 		MUIElement parent = parentPart.getParent();
 		if (parent == null) {
-			Log.warning(TXMUIMessages.cannotAddPartP0IntoP1+partToAdd+" into "+parentPart); //$NON-NLS-2$
+			Log.warning(NLS.bind(TXMUIMessages.cannotAddPartP0IntoP1, partToAdd, parentPart));
 			return;
 		}
 		
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ImportCommand.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ImportCommand.java	(revision 3905)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ImportCommand.java	(revision 3906)
@@ -176,7 +176,7 @@
 								Class<?> cl = bundle.loadClass(className);
 								
 								String resultNodePath = defaultParentResult.getProject().getParametersNodeRootPath() + TXMResult.createUUID() + "_" + cl.getSimpleName(); //$NON-NLS-1$
-								Log.info(TXMUIMessages.importingAP0From+cl.getSimpleName()+" from "+resultNodePath); //$NON-NLS-2$
+								Log.info(NLS.bind(TXMUIMessages.importingAP0From, cl.getSimpleName(), resultNodePath));
 								TXMResult parent = null;
 								
 								if (parent == null && UUIDDependencies.get(UUID) != null) {
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/IImageKeys.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/IImageKeys.java	(revision 3905)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/IImageKeys.java	(revision 3906)
@@ -30,6 +30,7 @@
 import java.util.HashMap;
 
 import org.eclipse.jface.resource.ImageDescriptor;
+import org.eclipse.osgi.util.NLS;
 import org.eclipse.swt.graphics.Image;
 import org.eclipse.ui.plugin.AbstractUIPlugin;
 import org.osgi.framework.FrameworkUtil;
@@ -332,7 +333,7 @@
 		if (!images.containsKey(imagekey)) {
 			ImageDescriptor imgg = AbstractUIPlugin.imageDescriptorFromPlugin(pluginId, imagekey);
 			if (imgg == null) {
-				Log.severe(TXMUIMessages.warningImageNotFoundAtP0 + pluginId + "' -> '" + imagekey + "'"); //$NON-NLS-2$ //$NON-NLS-3$
+				Log.severe(NLS.bind(TXMUIMessages.warningImageNotFoundAtP0, pluginId + " -> " + imagekey)); //$NON-NLS-2$ //$NON-NLS-3$
 				return getImage("icons/null.png"); //$NON-NLS-1$
 			}
 			
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/CommandsSection.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/CommandsSection.java	(revision 3905)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/CommandsSection.java	(revision 3906)
@@ -80,7 +80,7 @@
 		tmp2Label.setToolTipText(TXMUIMessages.theDefaultReferencesDisplayedInTheEtc);
 		tmp2Label.setLayoutData(getSectionGridData(2));
 		
-		Label tmp3Label = toolkit.createLabel(sectionClient, TXMUIMessages.TabPattern); 
+		Label tmp3Label = toolkit.createLabel(sectionClient, "\t"+ TXMUIMessages.TabPattern);  //$NON-NLS-1$
 		tmp3Label.setToolTipText(TXMUIMessages.YouNeedToSetAsManyPercentSPrintfMarksAsSelectedProperties);
 		tmp3Label.setLayoutData(getLabelGridData());
 		
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/UIParameterException.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/UIParameterException.java	(revision 3905)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/UIParameterException.java	(revision 3906)
@@ -1,6 +1,7 @@
 package org.txm.rcp.swt.widget.parameters;
 
-import org.txm.rcp.messages.TXMUIMessages;
+import org.eclipse.osgi.util.NLS;
+import org.txm.core.messages.TXMCoreMessages;
 
 public class UIParameterException extends IllegalArgumentException {
 	/**
@@ -14,7 +15,8 @@
 	private boolean error;
 
 	public UIParameterException(boolean error) {
-		super(TXMUIMessages.error+true);
+		
+		super(NLS.bind(TXMCoreMessages.error_errorP0, error));
 		this.error = error;
 	}
 	
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersDialog.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersDialog.java	(revision 3905)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersDialog.java	(revision 3906)
@@ -17,6 +17,7 @@
 import org.apache.commons.lang.StringUtils;
 import org.eclipse.jface.dialogs.Dialog;
 import org.eclipse.jface.dialogs.IDialogConstants;
+import org.eclipse.osgi.util.NLS;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.events.SelectionAdapter;
 import org.eclipse.swt.events.SelectionEvent;
@@ -139,7 +140,7 @@
 				Log.fine("Retrieving previous macro parameters from " + propFile + " values=" + defaultValues.entrySet() + "..."); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 			}
 			catch (Throwable e) {
-				Log.severe(TXMUIMessages.failedToLoadPreviousValuesFromP0P1 + propFile + ": " + e);
+				Log.severe(NLS.bind(TXMUIMessages.failedToLoadPreviousValuesFromP0P1, propFile, e));
 				Log.printStackTrace(e);
 			}
 		}
@@ -488,7 +489,7 @@
 				defaultValues.store(new FileWriter(propFile), ""); //$NON-NLS-1$
 			}
 			catch (IOException e) {
-				Log.severe(TXMUIMessages.warningFailedToStoreDefaultMacroValuesAtP0 + propFile + ": " + e); //$NON-NLS-2$
+				Log.severe(NLS.bind(TXMUIMessages.warningFailedToStoreDefaultMacroValuesAtP0, propFile) + ": " + e); //$NON-NLS-1$
 				Log.printStackTrace(e);
 			}
 		}
@@ -690,7 +691,7 @@
 						}
 					}
 					catch (Throwable e) {
-						Log.severe(TXMUIMessages.couldNotOpenTheParameterDialogP0 + e);
+						Log.severe(NLS.bind(TXMUIMessages.couldNotOpenTheParameterDialogP0, e));
 						Log.printStackTrace(e);
 						errorOpen = true;
 					}
@@ -698,7 +699,7 @@
 			});
 			
 		} catch (Throwable e) {
-			Log.severe(TXMUIMessages.couldNotOpenTheParameterDialogP0 + e);
+			Log.severe(NLS.bind(TXMUIMessages.couldNotOpenTheParameterDialogP0, e));
 			Log.printStackTrace(e);
 			errorOpen = true;
 		}
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/Toolbox.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/Toolbox.java	(revision 3905)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/Toolbox.java	(revision 3906)
@@ -438,7 +438,7 @@
 				}
 			}
 			catch (Exception ex) {
-				Log.severe(TXMCoreMessages.ExceptionWhileInstallingExtensionIsP0 + e.getName() + "."); //$NON-NLS-2$
+				Log.severe(NLS.bind(TXMCoreMessages.ExceptionWhileInstallingExtensionIsP0, e.getName())); //$NON-NLS-2$
 				ex.printStackTrace();
 			}
 		}
@@ -476,7 +476,7 @@
 				}
 			}
 			catch (Exception ex) {
-				Log.severe(TXMCoreMessages.ExceptionWhileInstallingExtensionIsP0 + e.getName() + "."); //$NON-NLS-2$
+				Log.severe(NLS.bind(TXMCoreMessages.ExceptionWhileInstallingExtensionIsP0, e.getName()));
 				ex.printStackTrace();
 			}
 		}
@@ -591,7 +591,7 @@
 				result = enginesManager.startEngines(monitor) && result; // order is important
 			}
 			catch (Exception e) {
-				Log.severe(TXMCoreMessages.ErrorWhileStartingEnginesOfTheP0EnginesManager + enginesManager.getEnginesDescription() + " engines manager."); //$NON-NLS-2$
+				Log.severe(NLS.bind(TXMCoreMessages.ErrorWhileStartingEnginesOfTheP0EnginesManager, enginesManager.getEnginesDescription() ));
 				e.printStackTrace();
 			}
 		}
@@ -677,7 +677,7 @@
 						PostTXMHOMEInstallationStep extp = (PostTXMHOMEInstallationStep) contributions[i].createExecutableExtension("class"); //$NON-NLS-1$
 						
 						if (!extp.install(workspace)) {
-							Log.severe(TXMCoreMessages.FailToInstallExtensionP0FilesInP1 + extp.getName() + " files in " + workspace.getLocation()); //$NON-NLS-2$
+							Log.severe(NLS.bind(TXMCoreMessages.FailToInstallExtensionP0FilesInP1, extp.getName(), workspace.getLocation()));
 						}
 					}
 					catch (CoreException e) {
@@ -790,7 +790,7 @@
 			
 			File redistDirectory = new File(installDirectory, "redist"); //$NON-NLS-1$
 			if (!redistDirectory.exists()) {
-				Log.warning(TXMCoreMessages.WarningWorkspaceCannotFoundTheRedistDirectoryP0 + redistDirectory.getAbsolutePath());
+				Log.warning(NLS.bind(TXMCoreMessages.WarningWorkspaceCannotFoundTheRedistDirectoryP0, redistDirectory.getAbsolutePath()));
 			}
 			else {
 				FileCopy.copyFiles(redistDirectory, txmhomedir);
